Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jdbc.pool
Class ResultSetMetaData

    java.lang.Object
      |
      +--weblogic.jdbcbase.pool.ResultSetMetaData
            |
            +--weblogic.jdbc.pool.ResultSetMetaData

public class ResultSetMetaData
extends weblogic.jdbcbase.pool.ResultSetMetaData
implements java.sql.ResultSetMetaData

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.pool.ResultSetMetaData
`cc, conn, rsmd`

Constructor Summary
`ResultSetMetaData(java.sql.ResultSetMetaData aRsmd, weblogic.jdbc.common.internal.ConnectionEnv aCc, weblogic.jdbcbase.pool.Connection aConn)`

Method Summary
`java.lang.String` | `getColumnClassName(int column)`

Methods inherited from class weblogic.jdbcbase.pool.ResultSetMetaData
`getCatalogName, getColumnCount, getColumnDisplaySize, getColumnLabel, getColumnName, getColumnType, getColumnTypeName, getPrecision, getScale, getSchemaName, getTableName, isAutoIncrement, isCaseSensitive, isCurrency, isDefinitelyWritable, isNullable, isReadOnly, isSearchable, isSigned, isWritable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSetMetaData

    public ResultSetMetaData(java.sql.ResultSetMetaData aRsmd,
                             weblogic.jdbc.common.internal.ConnectionEnv aCc,
                             weblogic.jdbcbase.pool.Connection aConn)

Method Detail

### getColumnClassName

    public java.lang.String getColumnClassName(int column)
                                        throws java.sql.SQLException

  Specified by:
    getColumnClassName in interface java.sql.ResultSetMetaData

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD